com.independentsoft.exchange

## Class AttachmentInfo

- java.lang.Object
- - com.independentsoft.exchange.AttachmentInfo

- Direct Known Subclasses:
    FileAttachmentInfo, ItemAttachmentInfo

      public abstract class AttachmentInfo
      extends java.lang.Object

  The Class AttachmentInfo.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentId()` Gets an identifier for the contents of an attachment.
    `java.lang.String` | `getContentLocation()` Gets the Uniform Resource Identifier (URI) that corresponds to the location of the content of the attachment.
    `java.lang.String` | `getContentType()` Gets the Multipurpose Internet Mail Extensions (MIME) type of the attachment content.
    `java.lang.String` | `getId()` Gets the attachment ID.
    `java.util.Date` | `getLastModifiedTime()` Ges when the file attachment was last modified.
    `java.lang.String` | `getName()` Gets the name of the attachment.
    `int` | `getSize()` Gets the size in bytes of the file attachment.
    `boolean` | `isInline()` Gets whether the attachment appears inline within an item.
    `void` | `setContentId(java.lang.String contentId)` Sets an identifier for the contents of an attachment.
    `void` | `setContentLocation(java.lang.String contentLocation)` Sets the Uniform Resource Identifier (URI) that corresponds to the location of the content of the attachment.
    `void` | `setContentType(java.lang.String contentType)` Sets the Multipurpose Internet Mail Extensions (MIME) type of the attachment content.
    `void` | `setId(java.lang.String id)` Sets the attachment ID.
    `void` | `setInline(boolean isInline)` Sets whether the attachment appears inline within an item.
    `void` | `setLastModifiedTime(java.util.Date lastModifiedTime)` Sets when the file attachment was last modified.
    `void` | `setName(java.lang.String name)` Sets the name of the attachment.
    `void` | `setSize(int size)` Sets the size in bytes of the file attachment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentInfo

          public AttachmentInfo()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the attachment ID.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the attachment ID.
      Parameters:
        `id` - the new id

    - #### getName

          public java.lang.String getName()

      Gets the name of the attachment.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the attachment.
      Parameters:
        `name` - the new name

    - #### getContentType

          public java.lang.String getContentType()

      Gets the Multipurpose Internet Mail Extensions (MIME) type of the attachment content.
      Returns:
        the content type

    - #### setContentType

          public void setContentType(java.lang.String contentType)

      Sets the Multipurpose Internet Mail Extensions (MIME) type of the attachment content.
      Parameters:
        `contentType` - the new content type

    - #### getContentId

          public java.lang.String getContentId()

      Gets an identifier for the contents of an attachment.
      Returns:
        the content id

    - #### setContentId

          public void setContentId(java.lang.String contentId)

      Sets an identifier for the contents of an attachment.
      Parameters:
        `contentId` - the new content id

    - #### getContentLocation

          public java.lang.String getContentLocation()

      Gets the Uniform Resource Identifier (URI) that corresponds to the location of the content of the attachment.
      Returns:
        the content location

    - #### setContentLocation

          public void setContentLocation(java.lang.String contentLocation)

      Sets the Uniform Resource Identifier (URI) that corresponds to the location of the content of the attachment.
      Parameters:
        `contentLocation` - the new content location

    - #### getSize

          public int getSize()

      Gets the size in bytes of the file attachment.
      Returns:
        the size

    - #### setSize

          public void setSize(int size)

      Sets the size in bytes of the file attachment.
      Parameters:
        `size` - the new size

    - #### getLastModifiedTime

          public java.util.Date getLastModifiedTime()

      Ges when the file attachment was last modified.
      Returns:
        the last modified time

    - #### setLastModifiedTime

          public void setLastModifiedTime(java.util.Date lastModifiedTime)

      Sets when the file attachment was last modified.
      Parameters:
        `lastModifiedTime` - the new last modified time

    - #### isInline

          public boolean isInline()

      Gets whether the attachment appears inline within an item.
      Returns:
        true, if is inline

    - #### setInline

          public void setInline(boolean isInline)

      Sets whether the attachment appears inline within an item.
      Parameters:
        `isInline` - the new inline